#ifndef TMHistogrammingGlobalPixelPhiDistRef_H
#define TMHistogrammingGlobalPixelPhiDistRef_H

#include "TMHistogramming.h"

class TH1F;

class TMHistogrammingGlobalPixelPhiDistRef : public TMHistogramming {
 public:
  TMHistogrammingGlobalPixelPhiDistRef();
  virtual ~TMHistogrammingGlobalPixelPhiDistRef();

  virtual void EndEvent(AliITSRawStreamSPD *str, UInt_t globalEventNumber);
  
  virtual void Draw(TPad *pad);
  virtual void Reset();

 protected:
  TH1F    *fTotal;
  TH1F    *fInner;
  TH1F    *fOuter;

};

#endif
